Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class Base64

    java.lang.Object
      |
      +--org.apache.catalina.util.Base64

public final class Base64
extends java.lang.Object

This class provides encode/decode for RFC 2045 Base64 as defined by RFC 2045, N. Freed and N. Borenstein. RFC 2045: Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies. Reference 1996

Version:
  $Id: Base64.java,v 1.4 2001/09/04 21:49:55 craigmcc Exp $
Author:
  Jeffrey Rodriguez

Constructor Summary
`Base64()`

Method Summary
`static byte[]` | `decode(byte[] base64Data)` Decodes Base64 data into octects
`static byte[]` | `encode(byte[] binaryData)` Encodes hex octects into Base64.
`static boolean` | `isArrayByteBase64(byte[] arrayOctect)`
`static boolean` | `isBase64(byte octect)`
`static boolean` | `isBase64(java.lang.String isValidString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64

    public Base64()

Method Detail

### isBase64

    public static boolean isBase64(java.lang.String isValidString)

### isBase64

    public static boolean isBase64(byte octect)

### isArrayByteBase64

    public static boolean isArrayByteBase64(byte[] arrayOctect)

### encode

    public static byte[] encode(byte[] binaryData)

  Encodes hex octects into Base64.
  Parameters:
    `binaryData` - Array containing binary data to encode.
  Returns:
    Base64-encoded data.

### decode

    public static byte[] decode(byte[] base64Data)

  Decodes Base64 data into octects
  Parameters:
    `binaryData` - Byte array containing Base64 data
  Returns:
    Array containing decoded data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.